View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007173ParaView(No Category)public2008-06-08 14:242009-05-13 13:59
ReporterBerk Geveci 
Assigned ToBurlen 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0007173: Leak with vtkCTHFragmentConnect
DescriptionTo reproduce, load a CTH dataset, apply vtkCTHFragmentConnect, exit paraview. If VTK_DEBUG_LEAKS is on, the following leaks are reported:

vtkDebugLeaks has detected LEAKS!
Class "vtkSpyPlotUniReader" has 4 instances still around.
Class "vtkCellData" has 114 instances still around.
Class "vtkCollection" has 1 instance still around.
Class "vtkInformationIntegerVectorValue" has 114 instances still around.
Class "vtkInformationVector" has 1158 instances still around.
Class "vtkDataArraySelection" has 2 instances still around.
Class "vtkSpyPlotReader" has 1 instance still around.
Class "vtkPointData" has 114 instances still around.
Class "vtkHierarchicalBoxDataIterator" has 2 instances still around.
Class "vtkCompositeDataPipeline" has 6 instances still around.
Class "vtkTrivialProducer" has 119 instances still around.
Class "vtkDummyController" has 1 instance still around.
Class "vtkPoints" has 1026 instances still around.
Class "vtkIntArray" has 3 instances still around.
Class "vtkInformation" has 2458 instances still around.
Class "vtkLine" has 456 instances still around.
Class "vtkInformationIntegerPointerValue" has 114 instances still around.
Class "vtkPixel" has 228 instances still around.
Class "vtkPVExtentTranslator" has 1 instance still around.
Class "vtkUniformGrid" has 114 instances still around.
Class "vtkIdList" has 1026 instances still around.
Class "vtkStructuredVisibilityConstraint" has 228 instances still around.
Class "vtkEmptyCell" has 114 instances still around.
Class "vtkDoubleArray" has 1028 instances still around.
Class "vtkAlgorithmOutput" has 120 instances still around.
Class "vtkInformationIntegerValue" has 187 instances still around.
Class "vtkHierarchicalBoxDataSet" has 1 instance still around.
Class "vtkVertex" has 114 instances still around.
Class "vtkMultiPieceDataSet" has 5 instances still around.
Class "vtkInformationStringValue" has 6 instances still around.
Class "vtkFloatArray" has 1254 instances still around.
Class "vtkInformationExecutivePortVectorValue" has 1 instance still around.
Class "vtkDummyCommunicator" has 2 instances still around.
Class "vtkVoxel" has 114 instances still around.
Class "vtkFieldData" has 120 instances still around.
Class "vtkInformationDoubleVectorValue" has 1146 instances still around.
Class "vtkUnsignedCharArray" has 342 instances still around.
Class "vtkStreamingDemandDrivenPipeline" has 114 instances still around.
Class "vtkCommand or subclass" has 5 instances still around.
Class "vtkMultiProcessControllerRMI" has 1 instance still around.
Class "vtkInformationExecutivePortValue" has 120 instances still around.


TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012334)
Alan Scott (manager)
2008-06-12 15:26

Not tested. I assume that if this isn't fixed, it will show up next time the VTK_DEBUG_LEAKS flag is turned on.

- Issue History
Date Modified Username Field Change
2008-06-08 14:24 Berk Geveci New Issue
2008-06-08 14:24 Berk Geveci Status backlog => tabled
2008-06-08 14:24 Berk Geveci Assigned To => Burlen
2008-06-11 14:47 Burlen Status tabled => @80@
2008-06-11 14:47 Burlen Resolution open => fixed
2008-06-12 15:26 Alan Scott Status @80@ => closed
2008-06-12 15:26 Alan Scott Note Added: 0012334
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker